Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.print
Class PrintingOptions

    java.lang.Object
      gnu.print.PrintingOptions

    public class PrintingOptions

extends java.lang.Object

Stores the print options for printing using the PrintText class.

Constructor Summary
`PrintingOptions()`
`PrintingOptions(boolean printLineNumbers, boolean wrapText, boolean printHeader, boolean printSyntax, java.awt.Font pageFont, java.awt.print.PageFormat pageFormat)`

Method Summary
`java.awt.Font` | `getHeaderFont()`
`java.awt.Font` | `getPageFont()`
`java.awt.print.PageFormat` | `getPageFormat()`
`boolean` | `getPrintHeader()`
`boolean` | `getPrintLineNumbers()`
`boolean` | `getPrintSyntax()`
`boolean` | `getWrapText()`
`void` | `setPageFont(java.awt.Font pageFont)`
`void` | `setPageFormat(java.awt.print.PageFormat pageFormat)`
`void` | `setPrintHeader(boolean printHeader)`
`void` | `setPrintLineNumbers(boolean printLineNumbers)`
`void` | `setPrintSyntax(boolean printSyntax)`
`void` | `setWrapText(boolean wrapText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintingOptions

    public PrintingOptions()

### PrintingOptions

    public PrintingOptions(boolean printLineNumbers,
                           boolean wrapText,
                           boolean printHeader,
                           boolean printSyntax,
                           java.awt.Font pageFont,
                           java.awt.print.PageFormat pageFormat)

Method Detail

### setPrintLineNumbers

    public void setPrintLineNumbers(boolean printLineNumbers)

### getPrintLineNumbers

    public boolean getPrintLineNumbers()

### setWrapText

    public void setWrapText(boolean wrapText)

### getWrapText

    public boolean getWrapText()

### setPrintHeader

    public void setPrintHeader(boolean printHeader)

### getPrintHeader

    public boolean getPrintHeader()

### setPrintSyntax

    public void setPrintSyntax(boolean printSyntax)

### getPrintSyntax

    public boolean getPrintSyntax()

### setPageFont

    public void setPageFont(java.awt.Font pageFont)

### getPageFont

    public java.awt.Font getPageFont()

### getHeaderFont

    public java.awt.Font getHeaderFont()

### setPageFormat

    public void setPageFormat(java.awt.print.PageFormat pageFormat)

### getPageFormat

    public java.awt.print.PageFormat getPageFormat()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.